Skip to contents

# Basic defaults based on `tmap::tm_layout()`

Source: `R/map.R`
`add_layout.Rd`

Basic defaults based on `tmap::tm_layout()`

## Usage

    add_layout(
      title = NULL,
      legend_position = c(0.02, 0.5),
      frame = FALSE,
      legend_frame = cols_reach("main_grey"),
      legend_text_size = 0.6,
      legend_title_size = 0.8,
      title_size = 0.9,
      title_fontface = "bold",
      title_color = cols_reach("main_grey"),
      fontfamily = "Leelawadee",
      ...
    )

## Arguments

title

  Map title.

legend_position

  Legend position. Not above the map is a good start.

frame

  Boolean. Legend frame?

legend_frame

  Legend frame color.

legend_text_size

  Legend text size in 'pt'.

legend_title_size

  Legend title size in 'pt'.

title_size

  Title text size in 'pt'.

title_fontface

  Title fontface. Bold if you wanna exemplify a lot what it is about.

title_color

  Title font color.

fontfamily

  Overall fontfamily. Leelawadee is your precious.

...

  Other arguments to pass to `tmap::tm_layout()`.

## Value

A tmap layer.